import os
import numpy as np
import matplotlib.pyplot as plt

# IO: This loads the timings for you 
threads, timings = [], []
for file in os.listdir('timings'):
    with open(f'timings/{file}', 'r') as f:
        n, t = f.read().strip().split(',')
        if n != 'None':
            threads.append(int(n))
            timings.append(float(t))
threads = np.array(threads)
timings = np.array(timings)

print('This is the data I loaded: threads =', threads, ', timings =',timings)

fig, axs = plt.subplots()

axs.scatter(x=threads, y=timings, color = 'hotpink', marker = '*')
axs.set_xlabel('Number of threads')
axs.set_ylabel('Timing [s]')
axs.grid()

plt.savefig('threads_v_timings', dpi=300)
